Overview | Package | Class | Use | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.basex.query.xpath.expr
Class Relational

    java.lang.Object
      org.basex.query.xpath.expr.Expr
          org.basex.query.xpath.expr.DualExpr
              org.basex.query.xpath.expr.Comparison
                  org.basex.query.xpath.expr.Relational

    public final class Relational

extends Comparison

XPath Relational Expression. Can express: LESS (<) LESS_OR_EQUALS (<=) GREATER (>) GREATER_OR_EQUALS (>=)

Author:
  Workgroup DBIS, University of Konstanz 2005-07, ISC License, Tim Petrowsky

Field Summary

Fields inherited from class org.basex.query.xpath.expr.Comparison
`type`

Fields inherited from class org.basex.query.xpath.expr.DualExpr
`expr1, expr2`

Constructor Summary
`Relational(Expr e1, Expr e2, Comp t)` Constructor.

Method Summary
`Expr` | `compile(XPContext ctx)` Tries to optimize the Expression.
`boolean` | `sameAs(Expr cmp)` Checks current and specified expression for equivalence.

Methods inherited from class org.basex.query.xpath.expr.Comparison
`eval, simple, toString`

Methods inherited from class org.basex.query.xpath.expr.DualExpr
`usesPos, usesSize`

Methods inherited from class org.basex.query.xpath.expr.Expr
`indexEquivalent, indexSizes, returnedValue`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Relational

    public Relational(Expr e1,
                      Expr e2,
                      Comp t)

  Constructor.

  Parameters:
    `e1` - first expression
    `e2` - second expression to be compared with
    `t` - see class description

Method Detail

### compile

    public Expr compile(XPContext ctx)
                 throws EvalException

  Description copied from class: `Expr`
  Tries to optimize the Expression.

  Specified by:
    `compile` in class `Expr`
  Parameters:
    `ctx` - expression context
  Returns:
    optimized Expression
  Throws:
    `EvalException` - evaluation exception

### sameAs

    public boolean sameAs(Expr cmp)

  Description copied from class: `Expr`
  Checks current and specified expression for equivalence.

  Overrides:
    `sameAs` in class `Expr`
  Parameters:
    `cmp` - expression to be compared
  Returns:
    result of check

Overview | Package | Class | Use | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD